Subject: bug#51734: 29.0.50; got slow

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Nov 2021 20:42:08 +0200

> Date: Thu, 11 Nov 2021 13:11:23 -0500
> Cc: [email-masked]
> From: Ken Brown <[email-masked]>
> 
> >> I did it and found the revision that causes this problem on at
> >> least Cygwin-64.  That is d5bb053.
> >
> > That's strange: that changeset changed just the docs, and the only
> > changes in code are in xwidget.c (which your build shouldn't compile)
> > and in keyboard.c, where the changes just remove redundant braces, and
> > again mostly in places that are built only when xwidgets are
> > supported.
> 
> I can confirm the extreme slowness on my 64-bit Cygwin system, but I don't agree 
> with the bisection.  I still see the slowness in d5bb053^.

I'm relieved.

> I just did my own bisection and found the following as the first bad commit:
> 
> commit 858868e36dbb8fe30fb5ae6a59ebb2fd123e307d
> Author: Lars Ingebrigtsen <[email-masked]>
> Date:   Sun Nov 7 04:55:02 2021 +0100
> 
>      Actually start the alarms in atimer
> 
>      * src/atimer.c (set_alarm): Actually start both timerfd and
>      alarms (attempted in 4107549a).
> 
> I haven't yet tried to figure out why.

That makes much more sense, thanks.

Wasn't there some issue with SIGALRM and/or timerfd on Cygwin?  Or am
I dreaming?

If no better idea comes up, we could disable that change on Cygwin.